Bio::MAGETAB::Edge(3)

NAME
Bio::MAGETAB::Edge - MAGE-TAB edge class

SYNOPSIS
 use Bio::MAGETAB::Edge;

DESCRIPTION
This class is used to store information on edges in the experimental design graph described by a MAGE-TAB SDRF. Each Edge must link to both an input and an output Node. See the BaseClass class for superclass methods.

ATTRIBUTES

inputNode (required)
    The Node object which feeds into this edge (data type: Bio::MAGETAB::Node).

outputNode (required)
    The Node object leading away from this edge (data type: Bio::MAGETAB::Node)

protocolApplications (optional)
    A list of ProtocolApplications associated with the edge (data type: Bio::MAGETAB::ProtocolApplication).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).